Subject: RE: Modem Descriptor: was Re: [Megaco] FW: Topology Descriptor

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 24 Aug 2001 08:49:26 -0400

I'm very willing to deprecate modem.

Brian

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Thursday, August 23, 2001 11:28 PM
> To: Tom-PT Taylor
> Cc: 'Venkatesh A'; megaco
> Subject: Modem Descriptor: was Re: [Megaco] FW: Topology Descriptor 
> 
> 
> I'd vote for getting rid of the modem descriptor but brian 
> came up with
> a use case.
> 
> Christian
> 
> Tom-PT Taylor wrote:
> > 
> > The topology descriptor is needed for very specialized situations
> > involving more than two terminations in a context.  An example is
> > where you want the ability for an operator to break into a 
> conference,
> > talk to one party who can still hear the conference in the 
> background,
> > but the operator cannot either hear or talk to the other
> > participants.  It is also useful for legal intercept where 
> you have to
> > route the two directions of media flow for the intercepted 
> termination
> > to separate wiretap terminations.  I'll warn you on this one that in
> > some people's opinion it fails to meet legal requirements in the US
> > because a craftsperson monitoring MGC messages could detect 
> that legal
> > intercept is happening.
> > 
> > As for the modem descriptor, I put out a query ages ago 
> asking whether
> > we could deprecate it.  I got no responses.
> > 
> > -----Original Message-----
> > From: Venkatesh A [mailto:[email-masked]]
> > Sent: Thursday, July 19, 2001 2:22 AM
> > To: megaco
> > Subject: [Megaco] FW: Topology Descriptor - What is the need?
> > 
> > Any answers?
> > 
> > Regards
> > Venkatesh
> > 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Venkatesh A
> > Sent: Wednesday, July 18, 2001 4:03 PM
> > To: [email-masked]
> > Subject: Topology Descriptor - What is the need?
> > 
> > Halo Everybody,
> > 
> > I dont understand the real advantange of implementing the Topology
> > Descriptor in MEGACO.  Can somebody explain it along with a 
> practical
> > situation where it is absolutely necessary?  I want to know the same
> > for
> > Modem Descriptor also.
> > 
> > Thanks in advance.
> > 
> > Venkatesh
> > 
> > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > http://www.ietf.org/mailman/listinfo/megaco
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 24 Aug 2001 11:02:06 -0400

A package allocates specific properties to specific descriptors.  What you
are asking is therefore whether the information contained in the Topology,
Multiplex, and Modem descriptors could have been placed in other descriptors
instead.

In the Modem descriptor case, the answer is that the information can go into
the Local and Remote descriptors without straining our model.

I am betting that no one has yet implemented the Multiplex descriptor.  It's
there because I considered it essential to solving the problem of modelling
a multimedia H.320 or H.324 session.  However, I could accept a
counter-proposal wherein it would be a package-defined TerminationState
property related to containers in general, containing two pieces of
information: the type of container (e.g. H.224 multiplex, ethernet port)
binding the contained elements together and a list of contained elements.
Whether the order in which the elements are listed is significant would
depend on the container type.  BTW in light of our current discussion on
package syntax, such a list can be legally expressed only as a structured
string.

Topology is a tougher one to dismiss.  Aside from the high probability that
people have implemented it already, the main problem is that representation
as a context property is more compact and more easily maintained than
dispersing the information over the individual terminations in the context.
Christian Groves has proposed we allow packages to define context properties
-- that would be one way around the issue.  The equivalent functionality
could be accomplished by listing the terminationIDs a given termination
won't send to in TerminationState.  If we refine this to per-stream topology
as some have proposed, the information ends up in Local and Remote -- an
ugly prospect from the protocol point of view.

It's an interesting discussion.  I can see us taking action on the Modem
descriptor and possibly on the Multiplex descriptor.  Moving Topology to a
package seems a bit radical at this point.

BTW some us wanted digit maps in a package, but the view prevailed that this
was a core protocol function.

-----Original Message-----
From: Troy Cauble [mailto:[email-masked]]
Sent: Friday, August 24, 2001 10:12 AM
Cc: 'megaco'
Subject: Re: Modem Descriptor: was Re: [Megaco] FW: Topology Descriptor

If Topology is very specialized, shouldn't it be a package
rather than a descriptor?

Similarly, why are't the Multiplex and Modem Descriptors packages?

-troy

Tom-PT Taylor wrote:
> 
> Assuming no views to the contrary, I'll provide a contribution to the SG
16
> meeting proposing this.  It leaves us dependent on the SDP-for-TDM draft I
> submitted to MMUSIC for a means to specify modem information in text form.
> That's appropriate, since I did the work in furtherance of the NAS
> application.
> 
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Friday, August 24, 2001 8:49 AM
> To: 'Christian Groves'; Taylor, Tom-PT [NORSE:B881:EXCH]
> Subject: RE: Modem Descriptor: was Re: [Megaco] FW: Topology Descriptor
>

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 27 Aug 2001 13:03:31 -0400

You don't need the Modem descriptor if the equivalent information is in
Local and Remote.

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Monday, August 27, 2001 12:28 AM
To: Troy Cauble
Cc: 'megaco'
Subject: Re: Modem Descriptor: was Re: [Megaco] FW: Topology Descriptor

G'Day Troy,

Topology is implemented on a context level and as such is really a
property of a context.  It is also being used in many implementations so
I don't think we should change it. Multiplex descriptor is a hybrid in
that it relates to many terminations and provides a link between them. I
am currently writing a contribution to be apply to extend all
descriptors via packages so that we don't have to open up the protocol
in the future.

Before we write off ModemDescriptor completely I brought this up a
couple of months ago and this was the reply from Brian: 
"To remind those who haven't been in the development of
Megaco/H.248 from the beginning, MODEM was supposed to address
the case where (possibly multiple) streams were sent through a
dial-up connection.  It was proposed to use MODEM to control
demodulation, then MULTIPLEX to control demultiplexing, and then
a termination represents each of the streams.  The example used
is H.324 I believe."

If this is still the case then modem may still be needed.

Cheers, Christian

16